libcamera v0.7.2 Supporting cameras in Linux since 2019

Loading...
Searching...
No Matches
libcamera::DebayerParams Struct Reference

Struct to hold the debayer parameters. More...

Collaboration diagram for libcamera::DebayerParams:
[legend]

## Public Attributes
Matrix< float, 3, 3 > | combinedMatrix
| Colour correction matrix, including other adjustments.
RGB< float > | blackLevel = RGB<float>({ 0.0, 0.0, 0.0 })
| Black level values.
float | gamma = 1.0
| Gamma value, e.g. 1/2.2.
float | contrastExp = 1.0
| Contrast value to be used as an exponent.
RGB< float > | gains = RGB<float>({ 1.0, 1.0, 1.0 })
| Colour channel gains.

## Detailed Description

Struct to hold the debayer parameters.

## Member Data Documentation

## ◆ combinedMatrix

Matrix<float, 3, 3> libcamera::DebayerParams::combinedMatrix

Initial value:
= { { 1.0, 0.0, 0.0,
0.0, 1.0, 0.0,
0.0, 0.0, 1.0 } }

Colour correction matrix, including other adjustments.

The documentation for this struct was generated from the following files:

- include/libcamera/internal/software_isp/debayer_params.h
- src/libcamera/software_isp/debayer.cpp